<form (ngSubmit)="onSubmit.emit(this.form.value)" [formGroup]="form">
  <mat-card class="register-card">
    <mat-card-header>
      <mat-card-title>Dynamic Form</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <mat-vertical-stepper cdkDropList *ngIf="form" [linear]="isLinear" #stepper cdkDropList (cdkDropListDropped)="drop($event)" class="example-list" >

        <mat-step cdkDrag   (cdkDropListDropped)="drop($event)" class="example-box"  cdkDrag [stepControl]="form" *ngFor="let field of fields" >
          <form  [formGroup]="form" >
            <ng-template matStepLabel>{{field.label}}</ng-template>
            <s-chip-list *ngIf="field.chipList" [chipList]="field.chipList"></s-chip-list>
            <mat-form-field  [appearance]="isMatFormFieldType(field)?'none':'standard'">
              <satipasala-field-builder [field]="field" [form]="form" placeholder="{{field.label}}"></satipasala-field-builder>
              <mat-icon matSuffix>phone</mat-icon>
            </mat-form-field>
            <div>
              <button  mat-raised-button color="primary"  matStepperPrevious>Back</button>
              <button mat-raised-button color="primary" matStepperNext>Next</button>
            </div>
          </form>
        </mat-step>
      </mat-vertical-stepper>
    </mat-card-content>

    <mat-card-actions *ngIf="form">
      <button mat-raised-button color="primary" [disabled]="!form?.valid" type="submit">Submit</button>
      <button mat-raised-button color="primary" (click)="stepper.reset()">Clear</button>
    </mat-card-actions>
  </mat-card>
</form>







